Retrieves the contact with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "078e03d8-f10a-4caf-8f74-073024fd5764",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "730ab3c8-2183-45e7-bdca-80ba1bf16f3e",
"company_code": "sample string 5",
"company": {
"id": "340c6998-5ce3-44cb-a851-02abdc8e30f0",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-11-16T18:46:58.3450632+00:00",
"sales_territory_id": "e42c167c-de78-4eb2-976a-72be46b7e4a7",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "20697f4f-9b78-424e-bd5e-02749569400a",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "f18d9c9e-9cdc-4831-8f70-a790706411d5",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "59ad027c-1dd4-4d3e-92c9-1e446913b841",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d2f2e168-f6ce-4f37-8c64-b59c6aa049f3",
"db_currency_id": "37f82a5d-147d-404c-8d89-c0be13578e95",
"db_language_id": "5cc78e50-b873-4b32-b6c9-00b3eba6185a",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T18:46:58.3450632+00:00"
},
"modified_dateutc": "2026-11-16T18:46:58.3450632+00:00"
},
"marketing_segment_id": "3b364e1d-03c0-45ec-af09-7a1567b85da5",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "a52bd92f-d060-4025-acc8-e3572480b036",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "48104fd5-f756-451d-a67e-a89a78dded4d",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "1df6f30c-78e2-462f-ac82-ed38c5f9151e",
"db_country_code": "sample string 28",
"feelist_id": "5677fcc3-eaba-4f3d-81bc-c695437af1d0",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "f37eb8c2-c67c-4831-9a06-5773bce83638",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "70df893d-c753-4a20-8a95-154b15943193",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-16T18:46:58.3450632+00:00",
"db_currency_id": "05c8e45f-78a7-489e-af99-8c40293992b6",
"db_currency_code": "sample string 10"
},
"company_type_id": "8ffd9615-e102-4e58-a423-45af160a97fe",
"company_type_name": "sample string 32",
"company_type": {
"id": "4f7f83ff-3116-4fc1-8351-6d836c33c7b4",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "e38302c1-9177-45e7-adde-246f139dccc1",
"sales_organization_code": "sample string 5"
},
"db_language_id": "3bf4d1a1-8d8a-433f-b87c-f2551ef27ad3",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "8feea135-3d65-4fda-a1f8-4fe20446675b",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "e7afec66-6142-454c-a536-54f595bf9549",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "bac8b35a-0bec-4a46-ad6a-71496d646f2c",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-11-16T18:46:58.3450632+00:00"
},
"company_sector_id": "91fbd212-bc25-4fd2-b0f1-113b602f6ce6",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "9972fb5d-c38d-4e92-8022-acd004731b67",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "15e20f64-baa5-4e8e-ae4d-3d194b8c0a32",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "e910b2b5-528a-4a43-8be2-aeb1402b34be",
"account_manager_user_code": "sample string 56",
"company_status_id": "79f53f17-1c6c-48e2-aaf8-79e06f74dcc2",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-11-16T18:46:58.3450632+00:00",
"id2": 60
},
"db_language_id": "1a5ce70f-dadb-4f2a-928a-7c69ce13a0a7",
"db_language_code": "sample string 7",
"db_title_id": "c6f127e3-3476-459a-828c-7c36322a1425",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-11-16T18:46:58.3450632+00:00",
"create_date": "2026-11-16T18:46:58.3450632+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-11-16T18:46:58.3450632+00:00"
}